ServiceNamespace
Date: 2016-06-25

org.osgi.namespace.service

## Class ServiceNamespace

- java.lang.Object
- - org.osgi.resource.Namespace
  - - org.osgi.namespace.service.ServiceNamespace

-     public final class ServiceNamespace
      extends org.osgi.resource.Namespace

  Service Capability and Requirement Namespace.

  This class defines the names for the attributes and directives for this namespace.

  All unspecified capability attributes are of one of the following types:

  - `String`
  - `Version`
  - `Long`
  - `Double`
  - `List<String>`
  - `List<Version>`
  - `List<Long>`
  - `List<Double>`
  and are used as arbitrary matching attributes for the capability. The values associated with the specified directive and attribute keys are of type `String`, unless otherwise indicated.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CAPABILITY_OBJECTCLASS_ATTRIBUTE` The capability attribute used to specify the types of the service.
    `static java.lang.String` | `SERVICE_NAMESPACE` Namespace name for service capabilities and requirements.

    - ### Fields inherited from class org.osgi.resource.Namespace

      `CAPABILITY_EFFECTIVE_DIRECTIVE, CAPABILITY_USES_DIRECTIVE, CARDINALITY_MULTIPLE, CARDINALITY_SINGLE, EFFECTIVE_ACTIVE, EFFECTIVE_RESOLVE, REQUIREMENT_CARDINALITY_DIRECTIVE, REQUIREMENT_EFFECTIVE_DIRECTIVE, REQUIREMENT_FILTER_DIRECTIVE, REQUIREMENT_RESOLUTION_DIRECTIVE, RESOLUTION_MANDATORY, RESOLUTION_OPTIONAL`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SERVICE_NAMESPACE

          public static final java.lang.String SERVICE_NAMESPACE

      Namespace name for service capabilities and requirements.
      See Also:
        Constant Field Values

    - #### CAPABILITY_OBJECTCLASS_ATTRIBUTE

          public static final java.lang.String CAPABILITY_OBJECTCLASS_ATTRIBUTE

      The capability attribute used to specify the types of the service. The value of this attribute must be of type `List<String>`.

      A `ServiceNamespace` capability should express a `uses constraint` for all the packages mentioned in the value of this attribute.

      See Also:
        Constant Field Values